1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

HELP ME-PSP V1.5

Discussion in 'Sony PSP - Mod and firmware discussion' started by Smokey24, Jan 30, 2007.

  1. Smokey24

    Smokey24 Member

    Joined:
    Nov 7, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    Hey can someone please help me out i got a psp a couple weeks ago and i decided to downgrade it yesterday. after downgrading you cant play any games above firmware 1.5 and i have games that require 2.71+. is there a mod or something that can help me play 2.5+ games on my psp
     
  2. npdyna

    npdyna Regular member

    Joined:
    Jan 24, 2005
    Messages:
    571
    Likes Received:
    0
    Trophy Points:
    26
    Search for 3.03 OE-C, that should be what you are looking for.

    Btw, it's a custom firmware.
     
  3. Smokey24

    Smokey24 Member

    Joined:
    Nov 7, 2006
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    11
    yea i've heard about that from a couple of my friends, if i do use that wouldn't that mean that i have to upgrade to 3.03 again cause thats what i was at when i downgraded to 1.50
     
  4. rsrepp

    rsrepp Regular member

    Joined:
    Sep 3, 2006
    Messages:
    396
    Likes Received:
    0
    Trophy Points:
    26
    No, just go download 3.03oe-c and read the readme included.
     
  5. windtrade

    windtrade Regular member

    Joined:
    Mar 28, 2005
    Messages:
    103
    Likes Received:
    0
    Trophy Points:
    26
    When you do the 3.03 to 1.5 downgrade you are using the official 3.03 firmware but when you do this next step: 1.5 to 3.03OE-c, this is upgrading to different firmware version, not official at all. It soes seem confusing but be sure if you do upgrade do go to 3.03OE, not official 3.03 again.

    In the downgrade instructions, there is mention that if you were to upgrade back to 3.03 you can no longer go back down, something to that effect.
     

Share This Page